Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class HomeAddressUse

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.HomeAddressUse

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class HomeAddressUse

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Home Address Use', and utility methods for working with them. specDomain: V10628 (C-0-D201-V190-V10628-cpt)

See Also:
  `CDAR2Package.getHomeAddressUse()`

Field Summary
`static int` | `H` The 'H' literal value.
`static HomeAddressUse` | `H_LITERAL` The 'H' literal object.
`static int` | `HP` The 'HP' literal value.
`static HomeAddressUse` | `HP_LITERAL` The 'HP' literal object.
`static int` | `HV` The 'HV' literal value.
`static HomeAddressUse` | `HV_LITERAL` The 'HV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Home Address Use' enumerators.

Method Summary
`static HomeAddressUse` | `get(int value)` Returns the 'Home Address Use' literal with the specified integer value.
`static HomeAddressUse` | `get(java.lang.String literal)` Returns the 'Home Address Use' literal with the specified literal value.
`static HomeAddressUse` | `getByName(java.lang.String name)` Returns the 'Home Address Use' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### H

    public static final int H

  The 'H' literal value.

  If the meaning of 'H' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H_LITERAL`, Constant Field Values

### HP

    public static final int HP

  The 'HP' literal value.

  If the meaning of 'HP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HP_LITERAL`, Constant Field Values

### HV

    public static final int HV

  The 'HV' literal value.

  If the meaning of 'HV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HV_LITERAL`, Constant Field Values

### H_LITERAL

    public static final HomeAddressUse H_LITERAL

  The 'H' literal object.

  See Also:
    `H`

### HP_LITERAL

    public static final HomeAddressUse HP_LITERAL

  The 'HP' literal object.

  See Also:
    `HP`

### HV_LITERAL

    public static final HomeAddressUse HV_LITERAL

  The 'HV' literal object.

  See Also:
    `HV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Home Address Use' enumerators.

Method Detail

### get

    public static HomeAddressUse get(java.lang.String literal)

  Returns the 'Home Address Use' literal with the specified literal value.

### getByName

    public static HomeAddressUse getByName(java.lang.String name)

  Returns the 'Home Address Use' literal with the specified name.

### get

    public static HomeAddressUse get(int value)

  Returns the 'Home Address Use' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD